EP11-00-009100 - The EDB Postgres Advanced Server must only accept end entity certificates issued by DoD PKI or DoD-approved PKI Certification Authorities (CAs) for the establishment of all encrypted sessions.

Information

Only DoD-approved external PKIs evaluated to ensure security controls and identity vetting procedures are in place that are sufficient for DoD systems to rely on the identity asserted in the certificate. PKIs lacking sufficient security controls and identity vetting procedures risk being compromised and issuing certificates that enable adversaries to impersonate legitimate users.

The authoritative list of DoD-approved PKIs is published at https://cyber.mil/pki-pke/interoperability/.

This requirement focuses on communications protection for the DBMS session rather than for the network packet.

NOTE: Nessus has provided the target output to assist in reviewing the benchmark to ensure target compliance.

Solution

Contact your program security office to request DoD issued certificates:

root.crt (CA Certificate)
server.crt
server.key

See Also

https://dl.dod.cyber.mil/wp-content/uploads/stigs/zip/U_EDB_PGS_Advanced_Server_v11_Windows_V2R1_STIG.zip

Item Details

Category: SYSTEM AND COMMUNICATIONS PROTECTION

References: 800-53|SC-23(5), CAT|II, CCI|CCI-002470, Rule-ID|SV-224205r508023_rule, STIG-ID|EP11-00-009100, STIG-Legacy|SV-109535, STIG-Legacy|V-100431, Vuln-ID|V-224205

Plugin: Windows

Control ID: a25205de7a577b76a04721459ec9e16dec585d6a1cfe4a423254527a6b95f399